/*
 *  MEMEXTRA.H
 *
 *  Written 1995-1996 by Andrew Clarke and released to the public domain.
 *
 *  Memory allocation routines with core exhaust checking.
 */

#ifndef __MEMEXTRA_H__
#define __MEMEXTRA_H__

void *xmalloc(size_t size);
void *xcalloc(size_t nmemb, size_t size);
void *xrealloc(void *ptr, size_t size);
char *xstrdup(const char *str);
void xfree(void *ptr);

#endif
